# Class: oBox

## $. oBox

$.oBox Base Class

#### new $.oBox(left, top, right, bottom)

openHarmony/openHarmony_math.js, line 285
  The $.oBox helper class - representing a 2D box.

  Name | Type | Description
  --- | --- | ---
  `left` | float | left horizontal bound
  `top` | float | top vertical bound
  `right` | float | right horizontal bound
  `bottom` | float | bottom vertical bound

  ##### Properties:

  Name | Type | Description
  --- | --- | ---
  `left` | float | left horizontal bound
  `top` | float | top vertical bound
  `right` | float | right horizontal bound
  `bottom` | float | bottom vertical bound

### Members

#### center$.oPoint

  The center of the box.

#### heightfloat

  The height of the box.

#### widthfloat

  The width of the box.

### Methods

#### include(box)

openHarmony/openHarmony_math.js, line 340
  Adds the input box to the bounds of the current $.oBox.

  Name | Type | Description
  --- | --- | ---
  `box` | $.oBox | The $.oBox to include.

#### includeNodes(oNodeArray)

openHarmony/openHarmony_math.js, line 351
  Adds the bounds of the nodes to the current $.oBox.

  Name | Type | Description
  --- | --- | ---
  `oNodeArray` | Array.<oNode> | An array of nodes to include in the box.